Package writer2latex.latex

# Class DrawConverter

java.lang.Object
writer2latex.latex.DrawConverter

public class DrawConverter extends Object

This class handles draw elements.

## Constructor Summary

Constructors
Constructor
Description
`DrawConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`flushFloatingFrames(LaTeXDocumentPortion ldp, Context oc)`
`void`
`handleCaption(Element node, LaTeXDocumentPortion ldp, Context oc)`
`void`
`handleDrawElement(Element node, LaTeXDocumentPortion ldp, Context oc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DrawConverter

public DrawConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### handleCaption

public void handleCaption(Element node, LaTeXDocumentPortion ldp, Context oc)

### handleDrawElement

public void handleDrawElement(Element node, LaTeXDocumentPortion ldp, Context oc)

### flushFloatingFrames

public void flushFloatingFrames(LaTeXDocumentPortion ldp, Context oc)